﻿Public Class Form_Input

    Friend SelectedInput As String = ""
    Friend Prompt As String
    Friend FormInputLocation As Point

    Private Sub Form_Input_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        '
    End Sub

    Private Sub Form_Input_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
        Me.TopMost = True

        Prompt = Prompt.Trim
        If Prompt = "" Then Prompt = "Input?"
        lbl_Prompt.Text = Prompt.Replace("""", "")
 
        SendKeys.Send("{TAB}")
        SendKeys.Send("{TAB}")
    End Sub

    Private Sub Form_Input_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        Me.Hide()
        If Not e.CloseReason = CloseReason.WindowsShutDown Then e.Cancel = True
        FormInputLocation = Me.Location
    End Sub

    Private Sub Form_Input_Move(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Move
        If Not EventsAreEnabled Then Return
        LimitFormPosition(Me)
    End Sub

    Private Sub chk_Select_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles chk_Select.Click
        SelectedInput = "Select"
        Me.Close()
    End Sub

    Private Sub chk_OpenFolder_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles chk_OpenDocsFolder.Click
        SelectedInput = "OpenFolder"
        Me.Close()
    End Sub

    Private Sub Form_Input_KeyUp(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles Me.KeyUp
        If e.KeyCode = Keys.Enter Then
            If chk_Select.Focused Then
                SelectedInput = "Select"
            Else
                SelectedInput = "OpenFolder"
            End If
            Me.Close()
        End If
        If e.KeyCode = Keys.Escape Then
            SelectedInput = ""
            Me.Close()
        End If
    End Sub

End Class